# Enum Class STER

java.lang.Object
java.lang.Enum<STER>
org.jmol.c.STER

All Implemented Interfaces:
  `Serializable, Comparable<STER>, Constable`

public enum STER extends Enum<STER>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CUSTOM`
`DOUBLE`
`DTI`
`NONE`
`REDBLUE`
`REDCYAN`
`REDGREEN`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`static STER`
`getStereoMode(String id)`
`boolean`
`isBiColor()`
`static STER`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static STER[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final STER NONE

### DOUBLE

public static final STER DOUBLE

### REDCYAN

public static final STER REDCYAN

### REDBLUE

public static final STER REDBLUE

### REDGREEN

public static final STER REDGREEN

### DTI

public static final STER DTI

### CUSTOM

public static final STER CUSTOM

## Method Details

### values

public static STER[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static STER valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getName

public String getName()

### isBiColor

public boolean isBiColor()

### getStereoMode

public static STER getStereoMode(String id)